<?php
defined('_JEXEC') or die;

ob_start();
?>
	<nav class="u-menu u-menu-dropdown u-menu-open-right u-menu-1" data-responsive-from="SM">
                <div class="menu-collapse" style="font-size: 1rem; letter-spacing: 0; font-weight: 700;">
                  <a class="u-active-palette-1-base u-border-active-grey-90 u-border-hover-grey-40 u-border-no-bottom u-border-no-left u-border-no-right u-border-no-top u-border-radius-5 u-btn-round u-button-style u-custom-active-color u-custom-border u-custom-border-color u-custom-color u-custom-hover-color u-custom-left-right-menu-spacing u-custom-padding-bottom u-custom-text-active-color u-custom-text-color u-custom-text-hover-color u-custom-top-bottom-menu-spacing u-hover-white u-nav-link u-text-active-grey-90 u-text-body-color u-text-hover-palette-1-light-2 u-white" href="#" style="padding: 5px 8px; font-size: calc(1em + 10px); text-shadow: 2px 2px 8px rgba(217,217,217,1);">
                    <svg class="u-svg-link" preserveAspectRatio="xMidYMin slice" viewBox="0 0 512 512" style=""><use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="#svg-e2d8"></use></svg>
                    <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" version="1.1" id="svg-e2d8" x="0px" y="0px" viewBox="0 0 512 512" style="enable-background:new 0 0 512 512;" xml:space="preserve" class="u-svg-content"><g><g><path d="M416.667,0H95.333C42.766,0,0,42.767,0,95.334v321.332C0,469.233,42.766,512,95.333,512h321.334    C469.234,512,512,469.233,512,416.666V95.334C512,42.767,469.234,0,416.667,0z M482,416.666C482,452.691,452.692,482,416.667,482    H95.333C59.308,482,30,452.691,30,416.666V95.334C30,59.309,59.308,30,95.333,30h321.334C452.692,30,482,59.309,482,95.334    V416.666z"></path>
</g>
</g><g><g><path d="M400.6,120.5H111.4c-8.284,0-15,6.716-15,15s6.716,15,15,15h289.2c8.284,0,15-6.716,15-15S408.884,120.5,400.6,120.5z"></path>
</g>
</g><g><g><path d="M400.6,241H111.4c-8.284,0-15,6.716-15,15s6.716,15,15,15h289.2c8.284,0,15-6.716,15-15S408.884,241,400.6,241z"></path>
</g>
</g><g><g><path d="M400.6,361.5H111.4c-8.284,0-15,6.716-15,15s6.716,15,15,15h289.2c8.284,0,15-6.716,15-15S408.884,361.5,400.6,361.5z"></path>
</g>
</g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g></svg>
                  </a>
                </div>
                <div class="u-custom-menu u-nav-container">
                  [[menu]]
                </div>
                <div class="u-custom-menu u-nav-container-collapse">
                  <div class="u-black u-container-style u-inner-container-layout u-opacity u-opacity-95 u-sidenav">
                    <div class="u-menu-close"></div>
                    [[responsive_menu]]
                  </div>
                  <div class="u-black u-menu-overlay u-opacity u-opacity-70"></div>
                </div>
              </nav>
<?php
$menuTemplate = ob_get_clean();


if (!function_exists('buildMenu')) {
	function buildMenu($list, $default_id, $active_id, $path, $options)
	{
		ob_start();
		?>
		<ul class="<?php echo $options['menu_class']; ?>">
			<?php foreach ($list as $i => &$item) {

				$class = 'item-' . $item->id;

				if ($item->id == $default_id) {
					$class .= ' default';
				}

                $itemIsCurrent = false;
				if (($item->id == $active_id) || ($item->type == 'alias' && $item->params->get('aliasoptions') == $active_id)) {
					$class .= ' current';
                    $itemIsCurrent = true;
				}

				if (in_array($item->id, $path)) {
					$class .= ' active';
				} elseif ($item->type == 'alias') {
					$aliasToId = $item->params->get('aliasoptions');

					if (count($path) > 0 && $aliasToId == $path[count($path) - 1]) {
						$class .= ' active';
					} elseif (in_array($aliasToId, $path)) {
						$class .= ' alias-parent-active';
					}
				}

				if ($item->type == 'separator') {
					$class .= ' divider';
				}

				if ($item->deeper) {
					$class .= ' deeper';
				}

				if ($item->parent) {
					$class .= ' parent';
				}

				echo '<li class="' . ($item->level == 1 ? $options['item_class'] : $options['submenu_item_class']) . ' ' . $class . '">';
				$linkClassName = $item->level == 1 ? $options['link_class'] : $options['submenu_link_class'];
                $linkInlineStyles = $item->level == 1 ? $options['link_style'] : $options['submenu_link_style'];
				switch ($item->type) :
					case 'separator':
					case 'component':
					case 'heading':
					case 'url':
						require JModuleHelper::getLayoutPath('mod_menu', 'default_' . $item->type);
						break;

					default:
						require JModuleHelper::getLayoutPath('mod_menu', 'default_url');
						break;
				endswitch;

				// The next item is deeper.
				if ($item->deeper) {
					echo '<div class="u-nav-popup"><ul class="' . $options['submenu_class'] . '">';
				} // The next item is shallower.
				elseif ($item->shallower) {
					echo '</li>';
					echo str_repeat('</ul></div></li>', $item->level_diff);
				} // The next item is on the same level.
				else {
					echo '</li>';
				}
			}
			?></ul>
		<?php
		return ob_get_clean();
	}
}

$menu_html = buildMenu($list, $default_id, $active_id, $path, array(
		'container_class' => 'u-menu u-menu-dropdown u-menu-open-right u-menu-1',
		'menu_class' => 'u-color-scheme-u10 u-color-style-multicolor-1 u-nav u-spacing-10 u-underline u-unstyled u-nav-1',
		'item_class' => 'u-nav-item',
		'link_class' => 'u-active-grey-10 u-border-2 u-border-active-grey-90 u-border-grey-25 u-border-hover-grey-40 u-border-radius-5 u-btn-round u-button-style u-hover-grey-5 u-nav-link u-text-active-black u-text-custom-color-1 u-text-hover-black u-white',
        'link_style' => 'padding: 10px 5px; text-shadow: 2px 2px 8px rgba(217,217,217,1);',
		'submenu_class' => 'u-color-scheme-u10 u-color-style-multicolor-1 u-nav u-spacing-10 u-underline u-unstyled u-nav-1',
		'submenu_item_class' => 'u-nav-item',
		'submenu_link_class' => 'u-active-grey-10 u-border-2 u-border-active-grey-90 u-border-grey-25 u-border-hover-grey-40 u-border-radius-5 u-btn-round u-button-style u-hover-grey-5 u-nav-link u-text-active-black u-text-custom-color-1 u-text-hover-black u-white',
        'submenu_link_style' => 'padding: 10px 5px; text-shadow: 2px 2px 8px rgba(217,217,217,1);'
	)
);

$resp_menu = buildMenu($list, $default_id, $active_id, $path, array(
		'container_class' => 'u-menu u-menu-dropdown u-menu-open-right u-menu-1',
		'menu_class' => 'u-align-center u-nav u-popupmenu-items u-unstyled u-nav-2',
		'item_class' => 'u-nav-item',
		'link_class' => 'u-button-style u-nav-link',
        'link_style' => 'padding: 10px; text-shadow: 2px 2px 8px rgba(0,0,0,0.4);',
		'submenu_class' => 'u-align-center u-nav u-popupmenu-items u-unstyled u-nav-2',
		'submenu_item_class' => 'u-nav-item',
		'submenu_link_class' => 'u-button-style u-nav-link',
        'submenu_link_style' => 'padding: 10px; text-shadow: 2px 2px 8px rgba(0,0,0,0.4);'
	)
);

if (preg_match('#<ul[\s\S]*ul>#', $resp_menu, $m)) {
	$responsive_nav = $m[0];
	if (preg_match('#<ul[\s\S]*ul>#', $menu_html, $m)) {
		$regular_nav = $m[0];
		$menu_html = strtr($menuTemplate, array('[[menu]]' => $regular_nav, '[[responsive_menu]]' => $responsive_nav));
		$menu_html = preg_replace('#<\/li>\s+<li#', '</li><li', $menu_html); // remove spaces
		echo $menu_html;
	}
}
